{
  "compilerOptions": {
    "target": "ES2020",
    "useDefineForClassFields": true,
    "lib": [
      "ES2020",
      "DOM",
      "DOM.Iterable"
    ],
    "module": "ESNext",
    "skipLibCheck": true,
    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    /** TODO: 暂时禁用校验 */
    "noImplicitAny": false,
    "strictNullChecks": false,
    "strictFunctionTypes": false,
    /* Linting */
    "strict": false,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noFallthroughCasesInSwitch": false,
    /** TODO: 暂时禁用校验 */
    /* Path mapping */
    "paths": {
      "@/*": [
        "./src/*"
      ],
      "@config/*": [
        "./src/config/*"
      ],
      "@router/*": [
        "./src/router/*"
      ],
      "@api/*": [
        "./src/apis/*"
      ],
      "@stores/*": [
        "./src/stores/*"
      ],
      "@pages/*": [
        "./src/app/*"
      ],
      "@components/*": [
        "./src/components/*"
      ],
      "@utils/*": [
        "./src/utils/*"
      ],
      "@types/*": [
        "./src/types/*"
      ],
      "@assets/*": [
        "./src/assets/*"
      ]
    },
    "allowJs": true,
    "incremental": true,
    "esModuleInterop": true,
    "plugins": [
      {
        "name": "next"
      }
    ]
  },
  "include": [
    "src",
    ".next/types/**/*.ts",
    ".next/dev/types/**/*.ts"
  ],
  "paths": {
    "@/*": [
      "./src/*"
    ]
  },
  "exclude": [
    "node_modules"
  ]
}
